<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKUsr6CalendarViewBase from './ibizbookusr6-calendar-view-base.vue';

import view_calendar from '@widgets/ibizbook/ibizbookmonth-calendar/ibizbookmonth-calendar.vue';
// 基于 @VIEW/实体日历视图/VIEW.vue.ftl 生成

@Component({
    components: {
        view_calendar, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKUsr6CalendarView extends IBIZBOOKUsr6CalendarViewBase {

}
</script>